Jump to content

Leaderboard

Popular Content

Showing content with the highest reputation on 06/28/2021 in all areas

  1. I'm posting this for any future people encountering the same issue. Hopefully it will save them some frustration! I'm old and I like the Command Line under the tabs. Personal Pref... I tried letting it float and adjusting transparency settings for several months and I'm just an old dog. I just read every thread I could find about how to get the Command line to stay put. I tried every variation if LOCKUI with no luck. Saving Workspaces (and new Workspaces) didn't work for me. CUI didn't work either. (Restarting ACAD always reset the location) Easiest Fix - WSSETTINGS -> Check Automatically Save Workspace Settings ALT Method/Same Command - Workspaces Pulldown (Upper Left of center) Where Drafting and Notation, 3D Modeling, 3D Basics are located Pick Workspace Settings Check Automatically Save Workspace Settings I did find this mentioned in one thread but it was a bit obscure. Don't mean to offend anyone, just trying to do something to help others the way many on here help me!
    1 point
  2. This Code plots all my Layouts in my folder, but i only want the Layouts names Plan* and DIN. (defun c:Docexport () (foreach layname (vl-remove-if-not '(lambda (ln) (vl-some '(lambda (n) (wcmatch ln n)) '("Plan*" "DIN") )) (layoutlist) ) (setvar "ctab" layname) (command "-EXPORT" "PDF" "ALLE" (strcat (substr (getvar "DWGPREFIX") 1 70) "\\08_Auftragsbestätigung\\" (strcat (substr (getvar "DWGNAME") 1 8) "_Zeichnung") ) ) ) )
    1 point
  3. Hi GEO501, welcome to CADTutor. You sound like a likely candidate for Right-click Customization, which I have always enjoyed. I hate taking my hand off the mouse. So this is a bit off topic, but if you are unfamiliar with it, you might enjoy checking it out.
    1 point
  4. Seeing that you have only ever made 2 posts on here.... when you are pasting code into a thread it is best if you 'wrap your code in tags' - if you edit or make a new comment click on the '<>' button (it's with the formatting at the top of the new comment) and paste your code in the pop up box, the result is similar to what pBe did.
    1 point
  5. When using a command like polyline or line all you need to do is hit spacebar (easiest key to find on the keyboard!) to finish the command. It's really not possible to make this any simpler.
    1 point
  6. Try this way: (foreach layname (vl-remove-if-not '(lambda (ln) (vl-some '(lambda (n) (wcmatch ln n)) '("Plan*" "PickList" "Debit" "Plakette") )) (layoutlist) ) (setvar "ctab" layname) (command "-EXPORT" "_PDF" "_C" "_N" layname ) ) HTH
    1 point
×
×
  • Create New...